Subject: Re: [netmod] NETMOD WG YANG 1.1 virtual interim meetings

From: Benoit Claise <[email-masked]>
Date: Wed, 9 Sep 2015 23:28:53 +0200

[sorry for the delay. August vacation]

See in-line.
> On Fri, Aug 07, 2015 at 09:22:41AM -0700, Andy Bierman wrote:
>> On Fri, Aug 7, 2015 at 8:57 AM, Juergen Schoenwaelder <
>> [email-masked]> wrote:
>>
>>> Lets please not mix YANG 1.1 work with other discussions at this point
>>> in time.
>>>
>>>
>> I would really like the WG and IESG to decide how YANG is going to be
>> updated to support ephemeral state and operational state.
>>
>> It seems there are many documents waiting on YANG 1.1, yet
>> only 1 or 2 actually use anything from YANG 1.1.
>>
>> If YANG 1.0 is not being deprecated then I do not see
>> any reason to link documents to YANG 1.1 unless they
>> actually use it.
>>
>> Is the plan to start work on YANG 1.2 before YANG 1.1 is even published?
>> If so, then say so.  Let's not pretend YANG is stable
>> or that all new improvements after YANG 1.1 are going to be
>> done with extension hacks.
>>
>> If the IESG and the WG had a development plan for this work,
>> it might help vendors decide when and what to support.
>>
> I can't speak for the IESG, I can't speak for the WG - the WG has to
> speak first.
>
> My personal goal is to complete YANG 1.1 with the feature set that we
> all worked on hard during that last year. I believe in the value of
> finishing something.
I would support this.

Regards, Benoit
> The alternative is to keep YANG 1.1 a moving
> target for at least another year to come (and likely even longer, who
> knows which wishes comes next and how long it takes to settle all the
> semantic issues with ephemeral state).
>
> Since the solution direction for ephemeral state is not even set yet
> (and ephemeral state might not even be a feature that every
> NETCONF/RESTCONF implementation may choose to support), I would rather
> work with YANG extensions as long as possible (and if not possible,
> consider alternatives such as YANG 1.2 once we 'understand the
> edits'). At this stage, my personal preference is to finish YANG 1.1
> with the feature set that we have now.
>
> /js
>